id: 'abd86fc6-2734-4c2e-a722-25de77ac866c'
name: 'JSON_Customer'
timestamp: '2024-12-18T14:02:06+00:00'
appVersion: '1.3.0'
sourceObjects:
- name: 'customers.schema'
  terms:
  - name: 'customerId'
    isBusinessKey: false
    isDefaultTerm: false
    isForeignKey: false
    isIdentity: false
    sourceDataType:
      name: 'string'
      isNullable: false
  - name: 'customerName'
    isBusinessKey: false
    isDefaultTerm: false
    isForeignKey: false
    isIdentity: false
    sourceDataType:
      name: 'string'
      isNullable: false
      length: 100
  - name: 'email'
    isBusinessKey: false
    isDefaultTerm: false
    isForeignKey: false
    isIdentity: false
    sourceDataType:
      name: 'string'
      isNullable: false
  - name: 'age'
    isBusinessKey: false
    isDefaultTerm: false
    isForeignKey: false
    isIdentity: false
    sourceDataType:
      name: 'integer'
      isNullable: false
  - name: 'loyaltyPoints'
    isBusinessKey: false
    isDefaultTerm: false
    isForeignKey: false
    isIdentity: false
    sourceDataType:
      name: 'number'
      isNullable: true
  - name: 'isVIP'
    isBusinessKey: false
    isDefaultTerm: false
    isForeignKey: false
    isIdentity: false
    sourceDataType:
      name: 'boolean'
      isNullable: true
  - name: 'registrationDate'
    isBusinessKey: false
    isDefaultTerm: false
    isForeignKey: false
    isIdentity: false
    sourceDataType:
      name: 'date'
      isNullable: false
  - name: 'lastPurchase'
    isBusinessKey: false
    isDefaultTerm: false
    isForeignKey: false
    isIdentity: false
    sourceDataType:
      name: 'date-time'
      isNullable: true
  - name: 'favoriteCategories'
    isBusinessKey: false
    isDefaultTerm: false
    isForeignKey: false
    isIdentity: false
    attributes:
    - key: 'IsArray'
      value: 'true'
    sourceDataType:
      name: 'array'
      isNullable: true
  - name: 'address'
    isBusinessKey: false
    isDefaultTerm: false
    isForeignKey: false
    isIdentity: false
    sourceDataType:
      name: 'object'
      isNullable: true
  - name: 'address.street'
    isBusinessKey: false
    isDefaultTerm: false
    isForeignKey: false
    isIdentity: false
    attributes:
    - key: 'ParentTerm'
      value: 'address'
    sourceDataType:
      name: 'string'
      isNullable: false
  - name: 'address.city'
    isBusinessKey: false
    isDefaultTerm: false
    isForeignKey: false
    isIdentity: false
    attributes:
    - key: 'ParentTerm'
      value: 'address'
    sourceDataType:
      name: 'string'
      isNullable: false
  - name: 'address.country'
    isBusinessKey: false
    isDefaultTerm: false
    isForeignKey: false
    isIdentity: false
    attributes:
    - key: 'ParentTerm'
      value: 'address'
    sourceDataType:
      name: 'string'
      isNullable: false
  - name: 'address.postalCode'
    isBusinessKey: false
    isDefaultTerm: false
    isForeignKey: false
    isIdentity: false
    attributes:
    - key: 'ParentTerm'
      value: 'address'
    sourceDataType:
      name: 'string'
      isNullable: false
  - name: 'purchases'
    isBusinessKey: false
    isDefaultTerm: false
    isForeignKey: false
    isIdentity: false
    attributes:
    - key: 'IsArray'
      value: 'true'
    sourceDataType:
      name: 'array'
      isNullable: false
  - name: 'purchases.productId'
    isBusinessKey: false
    isDefaultTerm: false
    isForeignKey: false
    isIdentity: false
    attributes:
    - key: 'ParentTerm'
      value: 'purchases'
    sourceDataType:
      name: 'string'
      isNullable: false
  - name: 'purchases.productName'
    isBusinessKey: false
    isDefaultTerm: false
    isForeignKey: false
    isIdentity: false
    attributes:
    - key: 'ParentTerm'
      value: 'purchases'
    sourceDataType:
      name: 'string'
      isNullable: false
  - name: 'purchases.quantity'
    isBusinessKey: false
    isDefaultTerm: false
    isForeignKey: false
    isIdentity: false
    attributes:
    - key: 'ParentTerm'
      value: 'purchases'
    sourceDataType:
      name: 'integer'
      isNullable: false
  - name: 'purchases.price'
    isBusinessKey: false
    isDefaultTerm: false
    isForeignKey: false
    isIdentity: false
    attributes:
    - key: 'ParentTerm'
      value: 'purchases'
    sourceDataType:
      name: 'number'
      isNullable: false
  - name: 'purchases.purchaseDate'
    isBusinessKey: false
    isDefaultTerm: false
    isForeignKey: false
    isIdentity: false
    attributes:
    - key: 'ParentTerm'
      value: 'purchases'
    sourceDataType:
      name: 'date'
      isNullable: false
  attributes:
  - key: 'NestedJsonDelimiter'
    value: '.'
  objectType: {}
sourceSystem:
  type: 'Json Schema'
